Subject: GSP 370, PC, Dongle not working after update
From: EPOS Global Support <[email-masked]>
Cc: Pravesh Singh <[email-masked]>
Date: Thu, 11 Feb 2021 15:59:36 +0000

##- Please type your reply above this line -##

You are registered as a CC on this support request (127508). Reply to this email to add a comment to the request.

----------------------------------------------

Mpiana Josue, Feb 11, 2021, 15:59 UTC (private)

Pravesh call back the customer

The user doesn't have the invoice of the headset.So we would like to know if we can replace it as gesture of goodwill otherwise we share the link to purchase the dongle. As the customer just give a review on trustpilot and he is frustrate.

On call: the customer prefer to get a replacement.

----------------------------------------------

Mpiana Josue, Feb 11, 2021, 15:56 UTC

Hello Alexandre,

Thank you for your reply and patience.

We are evaluating your inquiry if we can replace your headset as gesture of goodwill and we will get back to you soon.

We wish you a nice day!

Best regards,
Josue
EPOS Global Support

----------------------------------------------

Alexander Chelu, Feb 11, 2021, 12:57 UTC

????????????????????????????????????????????????????????

Den tor. 11. feb. 2021 kl. 10.54 skrev alexander Chelu <[email-masked]>:

> ?
>
>
> Den tor. 11. feb. 2021 kl. 08.54 skrev alexander Chelu <[email-masked]>:
>
> > Actually i think this is something your CEO has to know.
> >
> >
> > When a company fucks their own product up, and charges their customers there is a huge problem.
> >
> > I cant get my receipe as it was a gift from a company.
> >
> > So what now.
> >
> > wasted money ?
> >
> > should i really pay and wait 7 days more. in total ive been waiting 2 weeks to get to this point because of you guys are slow repliers.
> >
> > it makes sence if many others have same problem.
> >
> >
> >
> > im SO dissapointet and im not stopping here, to me its principle now.
> >
> >
> >
> >
> >
> >
> >
> > Den tor. 11. feb. 2021 kl. 08.21 skrev alexander Chelu <[email-masked]>:
> >
> > > listen, this is the first and last time i use money on such a looser company.
> > > you should be ashamed.
> > >
> > >
> > >
> > > anyhow i need to know where to buy your crap ?
> > >
> > > i just finished my review on trustpilot too.
> > >
> > > thank you for nothing !
> > >
> > >
> > >
> > > Den ons. 10. feb. 2021 kl. 18.51 skrev alexander Chelu <[email-masked]>:
> > >
> > > > I bougt this used.
> > > > Dont have it.
> > > >
> > > > Just tell me if i can buy this dongle some where.
> > > >
> > > > One things for sure.
> > > >
> > > >
> > > >
> > > > Ill try to get it. Otherwise nothinh to do? 😂
> > > >
> > > > Its a complete joke that i bought anything from you guys.
> > > >
> > > >
> > > >
> > > > I will give my review og this sad experience for other users
> > > >
> > > >
> > > >
> > > >
> > > >
> > > > ons. 10. feb. 2021 18.08 skrev EPOS Global Support <[email-masked]>:

----------------------------------------------

Alexander Chelu, Feb 11, 2021, 9:54 UTC

?

Den tor. 11. feb. 2021 kl. 08.54 skrev alexander Chelu <[email-masked]>:

> Actually i think this is something your CEO has to know.
>
>
> When a company fucks their own product up, and charges their customers there is a huge problem.
>
> I cant get my receipe as it was a gift from a company.
>
> So what now.
>
> wasted money ?
>
> should i really pay and wait 7 days more. in total ive been waiting 2 weeks to get to this point because of you guys are slow repliers.
>
> it makes sence if many others have same problem.
>
>
>
> im SO dissapointet and im not stopping here, to me its principle now.
>
>
>
>
>
>
>
> Den tor. 11. feb. 2021 kl. 08.21 skrev alexander Chelu <[email-masked]>:
>
> > listen, this is the first and last time i use money on such a looser company.
> > you should be ashamed.
> >
> >
> >
> > anyhow i need to know where to buy your crap ?
> >
> > i just finished my review on trustpilot too.
> >
> > thank you for nothing !
> >
> >
> >
> > Den ons. 10. feb. 2021 kl. 18.51 skrev alexander Chelu <[email-masked]>:
> >
> > > I bougt this used.
> > > Dont have it.
> > >
> > > Just tell me if i can buy this dongle some where.
> > >
> > > One things for sure.
> > >
> > >
> > >
> > > Ill try to get it. Otherwise nothinh to do? 😂
> > >
> > > Its a complete joke that i bought anything from you guys.
> > >
> > >
> > >
> > > I will give my review og this sad experience for other users
> > >
> > >
> > >
> > >
> > >
> > > ons. 10. feb. 2021 18.08 skrev EPOS Global Support <[email-masked]>:

----------------------------------------------

Alexander Chelu, Feb 11, 2021, 7:55 UTC

Actually i think this is something your CEO has to know.

When a company fucks their own product up, and charges their customers there is a huge problem.

I cant get my receipe as it was a gift from a company.

So what now.

wasted money ?

should i really pay and wait 7 days more. in total ive been waiting 2 weeks to get to this point because of you guys are slow repliers.

it makes sence if many others have same problem.

im SO dissapointet and im not stopping here, to me its principle now.

Den tor. 11. feb. 2021 kl. 08.21 skrev alexander Chelu <[email-masked]>:

> listen, this is the first and last time i use money on such a looser company.
> you should be ashamed.
>
>
>
> anyhow i need to know where to buy your crap ?
>
> i just finished my review on trustpilot too.
>
> thank you for nothing !
>
>
>
> Den ons. 10. feb. 2021 kl. 18.51 skrev alexander Chelu <[email-masked]>:
>
> > I bougt this used.
> > Dont have it.
> >
> > Just tell me if i can buy this dongle some where.
> >
> > One things for sure.
> >
> >
> >
> > Ill try to get it. Otherwise nothinh to do? 😂
> >
> > Its a complete joke that i bought anything from you guys.
> >
> >
> >
> > I will give my review og this sad experience for other users
> >
> >
> >
> >
> >
> > ons. 10. feb. 2021 18.08 skrev EPOS Global Support <[email-masked]>:

----------------------------------------------

Alexander Chelu, Feb 11, 2021, 7:21 UTC

listen, this is the first and last time i use money on such a looser company.
you should be ashamed.

anyhow i need to know where to buy your crap ?

i just finished my review on trustpilot too.

thank you for nothing !

Den ons. 10. feb. 2021 kl. 18.51 skrev alexander Chelu <[email-masked]>:

> I bougt this used.
> Dont have it.
>
> Just tell me if i can buy this dongle some where.
>
> One things for sure.
>
>
>
> Ill try to get it. Otherwise nothinh to do? 😂
>
> Its a complete joke that i bought anything from you guys.
>
>
>
> I will give my review og this sad experience for other users
>
>
>
>
>
> ons. 10. feb. 2021 18.08 skrev EPOS Global Support <[email-masked]>:

----------------------------------------------

Pravesh Singh, Feb 10, 2021, 19:29 UTC (private)

Hello Josue Mpiana,

The user doesn't have the invoice of the headset. Please check with Pritish if we can replace it as gesture of goodwill otherwise please share the link to purchase the dongle.

On call: the customer prefer to get a replacement.

Thanks
Pravesh

----------------------------------------------

Alexander Chelu, Feb 10, 2021, 17:51 UTC

I bougt this used.
Dont have it.

Just tell me if i can buy this dongle some where.

One things for sure.

Ill try to get it. Otherwise nothinh to do? 😂

Its a complete joke that i bought anything from you guys.

I will give my review og this sad experience for other users

ons. 10. feb. 2021 18.08 skrev EPOS Global Support <[email-masked]>:

----------------------------------------------

Pravesh Singh, Feb 10, 2021, 17:08 UTC (private)

**_NEXT ACTION_**

**What**: requested for the invoice
**Who**: Alex
**When**: 17/02/2021​

----------------------------------------------

Pravesh Singh, Feb 10, 2021, 17:08 UTC

Hello Alex,

Thank you for giving time out of your busy day to speak with me. Could you please send me the invoice of the headset and I will process the warranty as soon as I receive it.

We wish you a nice day!
Best regards,

**Pravesh Singh
EPOS Global Support**

----------------------------------------------

Mpiana Josue, Feb 10, 2021, 14:45 UTC (private)

Hello **Pravesh Singh**​,

Please do call the customer and request the customer to provide the proof of purchase as we are going to replace the headset.

Call back at 5 PM Denmark time. Please it's very urgent

Best regards,
Josue Mpiana

----------------------------------------------

Alexander Chelu, Feb 10, 2021, 14:30 UTC

im home from 1700 thank you

Den ons. 10. feb. 2021 kl. 15.27 skrev EPOS Global Support <[email-masked]>:

----------------------------------------------

Pritish Nandi, Feb 10, 2021, 14:27 UTC (private)

**_NEXT ACTION_**

**What**: Asked for Shipping and POP
**Who**: Alexander
**When**: 15/02/2021

----------------------------------------------

Pritish Nandi, Feb 10, 2021, 14:27 UTC

Dear Alex,

Thank you for your response.

As advised earlier I will arrange for a callback after 1630 hrs today.

Please note that we do not provide any repair service as of now and only do warranty replacement.

Once you share the invoice we would be able to process it quicker for you.

We wish you a nice day!

Best regards,
Pritish Nandi
EPOS Global Support

----------------------------------------------

Alexander Chelu, Feb 10, 2021, 12:14 UTC

?

Den ons. 10. feb. 2021 kl. 11.04 skrev alexander Chelu <[email-masked]>:

> yes i have it home somewhere.
>
>
> What are we talking about?
>
> - a new headset ?
>
> - a fix on my existing ?
>
>
>
> please call, its been a long time since my first request.
>
>
>
> Can they call me at a specific time?
>
>
>
> Den ons. 10. feb. 2021 kl. 11.01 skrev EPOS Global Support <[email-masked]>:

----------------------------------------------

Alexander Chelu, Feb 10, 2021, 10:04 UTC

yes i have it home somewhere.

What are we talking about?

- a new headset ?

- a fix on my existing ?

please call, its been a long time since my first request.

Can they call me at a specific time?

Den ons. 10. feb. 2021 kl. 11.01 skrev EPOS Global Support <[email-masked]>:

----------------------------------------------

Pritish Nandi, Feb 10, 2021, 10:02 UTC (private)

**_NEXT ACTION_**

**What**: Asked for Shipping and POP
**Who**: Alexander
**When**: 15/02/2021

----------------------------------------------

Pritish Nandi, Feb 10, 2021, 10:01 UTC

Dear Alex,

Thank you for your fast response.

Unfortunately, I am not available at the time you have requested so cannot guarantee a callback. However, I will try to check with my colleagues if they are available for a callback.

For any warranty claim, we need proof of purchase and without that, we would not be able to proceed further. So I will request you to check and send the proof of purchase.

You can contact the reseller to get a copy of the invoice.

We wish you a nice day!

Best regards,
Pritish Nandi
EPOS Global Support

----------------------------------------------

Alexander Chelu, Feb 10, 2021, 9:46 UTC

Alexander Chelu
4591942467

[email-masked]

Ringriddervej 96 1 sal 6400 Sønderborg

Denmark

i do not have any receipe atm.

I have no unanswered calls.

can you call me to day? after 1630 ?

Den ons. 10. feb. 2021 kl. 10.21 skrev EPOS Global Support <[email-masked]>:

----------------------------------------------

Pritish Nandi, Feb 10, 2021, 9:21 UTC (private)

**_NEXT ACTION_**

**What**: Asked for Shipping and POP
**Who**: Alexander
**When**: 15/02/2021

----------------------------------------------

Pritish Nandi, Feb 10, 2021, 9:21 UTC

Dear Alex,

Thank you for your response.

I am really sorry for all the trouble you have gone through. However, allow me to help you as fast as I can.

Could you please provide us with the following information?

**Company**:
**Name**:
**Phone**:
**E-mail**:
**Address line 1**:
**Address line 2**:
**City**:
**State/Province**:
**Zip Code**:
**Country**:

**Proof of Purchase**:
(Please attach a copy of your proof of purchase document in PDF format)

I have also tried contacting you via phone twice however unable to get a hold of you.

Please share the information so that we can evaluate the warranty of the dongle.

We wish you a nice day!

Best regards,
Pritish Nandi
EPOS Global Support

----------------------------------------------

Pritish Nandi, Feb 10, 2021, 9:18 UTC (private)

Total Duration 0
Disposition : Attempting Contact
Description:  Not picking up the phone  
URL:

----------------------------------------------

Pritish Nandi, Feb 10, 2021, 9:17 UTC (private)

Total Duration 0
Disposition : Attempting Contact
Description:  Bust line  
URL:

----------------------------------------------

Alexander Chelu, Feb 10, 2021, 7:31 UTC

??????????????????????????????????????????????????????????? IS THIS A JOKE

its over 1,5 week since i wrote first time.

Im starting reporting this headset.

Den man. 8. feb. 2021 kl. 08.18 skrev alexander Chelu <[email-masked]>:

> Denmark
> +4591942467
>
> I work until 1700 every day
>
>
>
> Den man. 8. feb. 2021 kl. 04.33 skrev EPOS Global Support <[email-masked]>:

----------------------------------------------

Pritish Nandi, Feb 9, 2021, 6:37 UTC (private)

Country partner procedure is only for Enterprise Tickets. This is handled incorrectly.

----------------------------------------------

Marika Fujita, Feb 8, 2021, 7:46 UTC (private)

**_LEVEL 1 CLOSING STATEMENT_**

**Problem**: This is a Request from a country with Country Partner
**Solution**: We referred the customer to Country Partner

**Denmark**
Dectel
[email-masked]

----------------------------------------------

Marika Fujita, Feb 8, 2021, 7:31 UTC (private)

**_CASE SUMMARY_**

**Contact person**: alexander Chelu
**Email**: [email-masked]
**Product name**: GSP 370
**Number of Products**: 1
**Issue**: Not detected in Gaming suite
**Current status**:
- After downloaded EPOS software, the dongle will not connect, and he did follow the manual on the site to download software for the dongle. It will not succeed
- I provide UpdateTooland informed the steps. It doesn't work.
- Customer is asking for phone support.
- Location: Denmark
- Phone number: +4591942467  (Work until 1700 every day)

----------------------------------------------

Alexander Chelu, Feb 8, 2021, 7:18 UTC

Denmark
+4591942467

I work until 1700 every day

Den man. 8. feb. 2021 kl. 04.33 skrev EPOS Global Support <[email-masked]>:

----------------------------------------------

Marika Fujita, Feb 8, 2021, 3:34 UTC (private)

**_NEXT ACTION_**

**Product name**: GSP 370
**Number of Products**: 1
**Issue**: Not detected in Gaming suite

**What**: The customer asked if we have phone support and I'm asking his location and phone#.

**Who**: Alexander
**When**: 11/02/2021

----------------------------------------------

Marika Fujita, Feb 8, 2021, 3:33 UTC

Dear Alex,

Thank you for getting back to us.

Yes, we have phone support. May I know your location and your phone number?

Hoping to hear from you soon.

Kind regards,
Marika Fujita
EPOS Global Support

----------------------------------------------

Pradeep Verma, Feb 5, 2021, 16:54 UTC (private)

Request #127926 "Den er inaktiv" was closed and merged into this request. Last comment in request #127926:

when i connect the dongle it makes the sound that its ready right after et disconnects. 
Im already communicating with you guys, just wanted to ask for phone support.

----------------------------------------------

Alexander Chelu, Feb 5, 2021, 7:26 UTC

dont you have phone support?

Den fre. 5. feb. 2021 kl. 06.41 skrev EPOS Global Support <[email-masked]>:

----------------------------------------------

Marika Fujita, Feb 5, 2021, 5:41 UTC (private)

**_NEXT ACTION_**

**Product name**: GSP 370
**Number of Products**: 1
**Issue**: Not detected in Gaming suite

**What**: Asking for software version on GS.

**Who**: alexander
**When**: 10/02/2021

----------------------------------------------

Marika Fujita, Feb 5, 2021, 5:41 UTC

Dear Alex,

Thank you for your response and sorry to hear that you are still facing the issue.

Could you please share the screenshot on Gaming Suite like below? We would like to check the software version.
 ![](https://eposaudio.zendesk.com/attachments/token/riW46VGInBvPcaFFyTmtI2loE/?name=inline1276623459.png)

​Looking forward to hearing from you.

Have a great weekend ahead!

Kind regards,
Marika Fujita
EPOS Global Support

----------------------------------------------

Alexander Chelu, Feb 4, 2021, 18:07 UTC

im sick of this it doesnt work.....

Den tor. 4. feb. 2021 kl. 03.07 skrev EPOS Global Support <[email-masked]>:

----------------------------------------------

Marika Fujita, Feb 4, 2021, 2:08 UTC (private)

**_NEXT ACTION_**

**Product name**: GSP 370
**Number of Products**: 1
**Issue**: Not detected in Gaming suite

**What**: I provide UpdateTool.

**Who**: Alex
**When**: 09/02/2021

----------------------------------------------

Marika Fujita, Feb 4, 2021, 2:07 UTC

Dear Alex,

Thank you for contacting EPOS Global Support.
For your convenience, we have created a **support ticket number 127508** for your inquiry.

We are sorry to hear that you are experiencing problems with GSP 370.

To help you out, could you please use the Update tool which I attached?

1) Download the GSP 370 update tool in the attachment and save it your PC.
2) Before using the tool, please exit the Gamingsuite by right clicking on the icon in the task bar and select exit. **(Kindly refer "How to exit Gaming Suite and Stop Gaming Suite Service" which I attached. )**
3) Got to Task Manager, under processes tab find Gaming Suite, right click on it and select end task
4) In Task Manager go to Services tab and check if Gaming suite is running or stopped.
5) If it is running, right click on it and select stop and close the task manager.
6) Open the GSP 370 update tool and launch Gamingsuiteplugin from component folder. The above screen will open up
7) Plug the dongle to your PC and click on start dongle update and follow the instructions that displays in the Gamingsuite
8) Once dongle is updated, connect the headset via USB cable and click on Start Headset update and follow the instructions. Please note when Gaming Suite says "Turn off the headset and on, unplug and plug the headset USB cable, do not remove the USB dongle, remove the USB cable connected to the headset and plug again.

Looking forward to your reply soon.

Have a nice day ahead!

Kind regards,
Marika Fujita
EPOS Global Support

Attachment(s):
GSP370UpdateTool.zip - https://eposaudio-gaming.zendesk.com/attachments/token/kDliVXMO6hbNhJOph53jCn4mH/?name=GSP370UpdateTool.zipHow to exit Gaming Suite and Stop Gaming Suite Service.pdf - https://eposaudio-gaming.zendesk.com/attachments/token/aFYed89uZFrCoYqINEuPtbnLm/?name=How+to+exit+Gaming+Suite+and+Stop+Gaming+Suite+Service.pdf

----------------------------------------------

Marika Fujita, Feb 4, 2021, 2:01 UTC (private)

**_CASE SUMMARY_**

**Contact person**: alexander Chelu
**Email**: [email-masked]
**Product name**: GSP 370
**Number of Products**: 1
**Issue**: Not detected in Gaming suite
**Current status**:
- After downloaded EPOS software, dongle will not connect, and i did follow your manual on the site to download software for dongle

----------------------------------------------

Alexander Chelu, Feb 3, 2021, 9:07 UTC

Hi,

I have use my GSP 370 with no problems until i downloaded EPOS software, no my dongle will not connect, and i did follow your manual on the site to download software for dongle, it will not succeed,

so now i have a expensive headset worthless, i am really disappointed not to find any solutions online.

Can you help me fast please.

3 days useless

Alex

--------------------------------
This email is a service from EPOS Gaming.

[89RPY8-GKZO]